json-c 0.14

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
json_object::data Union Reference

## Data Fields

json_bool | c_boolean
double | c_double
struct {
union {
int64_t c_int64
uint64_t c_uint64
} cint
enum json_object_int_type cint_type
} | c_int
struct lh_table * | c_object
struct array_list * | c_array
struct {
union {
char * ptr
char data [LEN_DIRECT_STRING_DATA]
} str
int len
} | c_string

## Field Documentation

struct array_list* json_object::data::c_array

json_bool json_object::data::c_boolean

double json_object::data::c_double

struct { ... } json_object::data::c_int

int64_t json_object::data::c_int64

struct lh_table* json_object::data::c_object

struct { ... } json_object::data::c_string

uint64_t json_object::data::c_uint64

union { ... } json_object::data::cint

enum json_object_int_type json_object::data::cint_type

char json_object::data::data[LEN_DIRECT_STRING_DATA]

int json_object::data::len

char* json_object::data::ptr

union { ... } json_object::data::str

The documentation for this union was generated from the following file:

- json_object_private.h